> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Update additional information

PATCH https://api.letsdeel.com/rest/eor/workers/contracts/{contract_id}/additional-information
Content-Type: application/json

Partially updates the additional information on an EOR employee agreement. This operation is only permitted when the contract status is `new`, `under_review`, or `waiting_for_employee_contract`; invoking it with any other status will result in an error.

 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-information/update-eor-worker-additional-information

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — Deel contract id.

### Body (application/json)

This endpoint expects an object.

- `data` (EorWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData, required) — You can submit any subset of fields. Keys not listed above are treated as country/state-specific additional information fields. Those keys must match the fields returned by GET /forms/eor/worker-additional-fields/\{country\_code} (public keys).

## Response

### 200

Successful operation.

- `data` (EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad request. Contract not found, contract is not EOR, or additional information validation failed.

- `errors` (list of EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Authentication failed. Bearer token is missing, expired, or invalid.

- `errors` (list of EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems, required)

### 403 Forbidden Error

Forbidden. The token lacks worker:write scope or the worker cannot update this contract.

- `errors` (list of EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems, required)

### 404 Not Found Error

Not found. No additional info template exists for the employment country/state.

- `errors` (list of EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems, required)

### 429 Too Many Requests Error

Rate limit exceeded.

- `errors` (list of EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Internal server error.

- `errors` (list of EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### EorWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData

You can submit any subset of fields. Keys not listed above are treated as country/state-specific additional information fields. Those keys must match the fields returned by GET /forms/eor/worker-additional-fields/\{country\_code} (public keys).

- `dob` (string, optional) — Date of birth (ISO 8601 date)
- `city` (string, optional) — City
- `phone` (string, optional) — Worker phone
- `state` (string, optional) — State/province
- `street` (string, optional) — Street
- `zip_code` (string, optional) — Zipcode/Post code
- `tax_residence` (string, optional) — Worker tax residence
- `is_payslip_access_allowed` (boolean, optional) — Worker access to payslips
- `is_compliance_access_allowed` (boolean, optional) — Worker access to compliance documents

### EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaData

- `updated` (boolean, required) — Indicates if contract was updated

### EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems

- `message` (string, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "updated": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/workers/contracts/37nex2x/additional-information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```